<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:c="http://java.sun.com/jsf/core"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui">
	
<h:head>
<script type="text/javascript">
PrimeFaces.locales['es'] = {
        closeText: 'Cerrar',
        prevText: 'Anterior',
        nextText: 'Siguiente',
        monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
        monthNamesShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
        dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
        dayNamesShort: ['Dom', 'Lun', 'Mar', 'Mie', 'Jue', 'Vie', 'Sab'],
        dayNamesMin: ['D', 'L', 'M', 'X', 'J', 'V', 'S'],
        weekHeader: 'Semana',
        firstDay: 1,
        isRTL: false,
        showMonthAfterYear: false,
        yearSuffix: '',
        timeOnlyTitle: 'Sólo hora',
        timeText: 'Tiempo',
        hourText: 'Hora',
        minuteText: 'Minuto',
        secondText: 'Segundo',
        currentText: 'Fecha actual',
        ampm: false,
        month: 'Mes',
        week: 'Semana',
        day: 'Día',
        allDayText: 'Todo el día'
    };
</script>

   
<script type="text/javascript">
    function handleLoginRequest(xhr, status, args) {

            location.reload();
        
    }
</script>

<script type="text/javascript">
    function handleLoginRequest2(xhr, status, args) {
        if(args.validationFailed || !args.loggedIn) {
            PF('dlgConfig').jq.effect("shake", {times:5}, 100);
        }
        else {
            PF('dlgConfig').hide();
            location.reload();
        }
    }
    
</script>

<script type="text/javascript">
    function handleLoginRequestlog(xhr, status, args) {

            PF('dlg4').hide();
            location.reload();
        }
    
    
</script>

<script type="text/javascript">
    function handleLoginRequestCom(xhr, status, args) {
        if(args.validationFailed || !args.loggedIn) {
            PF('dlgCom').jq.effect("shake", {times:5}, 100);
        }
        else {
            PF('dlgCom').hide();
            setTimeout("location.reload()",2000)

        }
    }
    
</script>
<script type="text/javascript">
    function handleLoginRequest6(xhr, status, args) {
			
    	location.reload();
    }
    
</script>

<script type="text/javascript">
    function handleLoginRequestELC() {
			
            PF('dlgELC').hide();
            location.reload();
    }
    
</script>

<script type="text/javascript">
    function handleLoginRequestEC() {
			
            PF('dlgEC').hide();
            window.location.reload 
    }
    
</script>


<script type="text/javascript">
    function handleLoginRequest4(xhr, status, args) {
        if(args.validationFailed || !args.loggedIn) {
            PF('dlg4').jq.effect("shake", {times:5}, 100);
        }
        else {
            PF('dlg4').hide();
            location.reload();
        }
    }
</script>


   
	<style>
* {
	box-sizing: border-box;
}

h1, h2 {
font-family: #{SitioBean.opT} ;
font-size:40px;
}

.ui-blockui{
    filter: blur(1px);
}
.ui-blockui-content{
    background-color:black;

}

.ui-datatable {
    margin-bottom: 25px;
    height: 700px;
    overflow-y: auto;
    margin-top: 30px;
}
thead {
  display:none;
}
    div.ui-growl {
       margin-top:100px;
    }

body {
	font-family: Arial;
	background: ##{SitioBean.colorBody}

;
}
#carrusel{
width: 100%;
}

.ui-sidebar-left.ui-sidebar-active, .ui-sidebar-right.ui-sidebar-active
	{
	min-width: 400px;
}

.ui-dataview-list .ui-dataview-row {
	border-bottom: 1px solid #A8A8A8;
	padding: 25px 10px;
	/* with the exported variables from Nova and Luna Themes*/
	border-bottom-color: var(- -input-border-color, #A8A8A8);
}

.ui-contentflow {
	height: 0px;
}

.logo {
	width: 5%;
}

.detail {
	width: 85%;
	padding-left: 25px;
}

.contvideo {
	padding-left: 150px;
    padding-right: 150px;
    padding-bottom: 50px;
}

/* Responsive layout - when the screen is less than 800px wide, make the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 800px) {
	.contvideo {
		padding-left: 50px;
    	padding-right: 50px;
    	padding-bottom: 50px;
	}
}

/* Responsive layout - when the screen is less than 400px wide, make the navigation links stack on top of each other instead of next to each other */
@media screen and (max-width: 400px) {
	.contvideo {
		padding-left: 5px;
	    padding-right: 5px;
	    padding-bottom: 20px;
	}
}


/* Header/Blog Title */
.header {
	padding: 10px;
	background: white;
}
.hola:j_idt7_menu{position:fixed;}

.header h1 {
	font-family: "cursive", Gadget, sans-serif;
	font-size: 38px;
	letter-spacing: 0.4px;
	word-spacing: 0.4px;
	color: #000000;
	font-weight: 400;
	text-decoration: none solid rgb(68, 68, 68);
	font-style: normal;
	font-variant: small-caps;
	text-transform: capitalize;
}

/* Style the top navigation bar */
.topnav {
	overflow: hidden;
	background-color: #333;
}
.ui-sidebar-left.ui-sidebar-active, .ui-sidebar-right.ui-sidebar-active
	{
	min-width: 400px;
}

.ui-dataview-list .ui-dataview-row {
	border-bottom: 1px solid #A8A8A8;
	padding: 25px 10px;
	/* with the exported variables from Nova and Luna Themes*/
	border-bottom-color: var(- -input-border-color, #A8A8A8);
}

.ui-contentflow {
	height: 0px;
}

.logo {
	width: 5%;
}

.detail {
	width: 85%;
	padding-left: 25px;
/* Style the topnav links */
.topnav a {
	float: left;
	display: block;
	color: #f2f2f2;
	text-align: center;
	padding: 14px 16px;
	text-decoration: none;
}

/* Change color on hover */
.topnav a:hover {
	background-color: #ddd;
	color: black;
}

/* Create two unequal columns that floats next to each other */
/* Left column */
.leftcolumn {
	float: left;
	width: 75%;
}

/* Right column */
.rightcolumn {
	float: left;
	width: 25%;
	background-color: #f1f1f1;
	padding-left: 20px;
}

/* Fake image */
.fakeimg {
	background-color: #aaa;
	width: 100%;
	padding: 20px;
}

/* Add a card effect for articles */
.card {
	background-color: white;
	padding-top: 10px;
	padding: 20px;
}

/* Clear floats after the columns */
.row:after {
	content: "";
	display: table;
	clear: both;
}

/* Footer */
.footer {
	padding: 20px;
	text-align: center;
	background: #ddd;
	margin-top: 20px;
}

.ui-datatable {
	margin-bottom: 25px
}

.ui-datatable .ui-datatable-header {
	text-align: right !important;
}

.ui-button-text-only .ui-button-text {
	padding: 0.3em 0.4em;
}

.ui-selectcheckboxmenu-panel .ui-selectcheckboxmenu-header .ui-chkbox {
	visibility: hidden;
}

.ui-filter-column .ui-column-customfilter .custom-filter {
	width: 100%;
	box-sizing: border-box;
}

.year-spinner input {
	width: 100%;
	box-sizing: border-box;
}

.notification {
	color: white;
	text-decoration: none;
	padding: 15px 26px;
	position: relative;
	display: inline-block;
	border-radius: 2px;
}

body {
	font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
}

* {
	box-sizing: border-box;
}

.openChatBtn {
	background-color: darkblue;
	color: white;
	padding: 16px 20px;
	border: none;
	font-weight: 500;
	font-size: 18px;
	cursor: pointer;
	opacity: 0.8;
	position: fixed;
	bottom: 23px;
	right: 28px;
	width: 280px;
}

.openChat {
	display: none;
	position: fixed;
	bottom: 0;
	right: 15px;
	z-index: 9;
}

.form1 {
	max-width: 400px;
	padding: 10px;
	background-color: white;
	border-radius: 20px;
	border: 1px solid gray;
	box-shadow: 2px 2px 5px black;
	height: 600px;
	margin-right: 10px;
	margin-bottom: 70px;
}

.form1 .btn {
	color: black;
	padding: 16px 20px;
	font-weight: bold;
	border: none;
	cursor: pointer;
	width: 100%;
	margin-bottom: 10px;
	opacity: 0.8;
}

.form1 .close {
	background-color: black;
}

.form1 .btn:hover, .openChatBtn:hover {
	opacity: 1;
}
.ui-menu.ui-menu-dynamic {
    position: fixed;
}

.notification .badge {
	position: absolute;
	top: -10px;
	right: -10px;
	padding: 5px 10px;
	border-radius: 50%;
	background: red;
	color: white;
}
/* Responsive layout - when the screen is less than 800px wide, make the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 800px) {
	.leftcolumn, .rightcolumn {
		width: 100%;
		padding: 0;
	}
}

/* Responsive layout - when the screen is less than 400px wide, make the navigation links stack on top of each other instead of next to each other */
@media screen and (max-width: 400px) {
	.topnav a {
		float: none;
		width: 100%;
	}
}
</style>

	<!-- Bootstrap y CSS -->
<link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css"
	rel="stylesheet" />
<link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"
	rel="stylesheet" />
	
	
</h:head>
<h:body style="background-color:##{SitioBean.colorBody};">
	#{SitioBean.cargar()}

	<div class="card bg-dark text-white"
		style="padding: 0px; margin-top: 80px;">
		<img class="card-img" src="../img2/banner.jpg"
			style="width: 100%; height: 200px" alt="Card image" />
		<div class="card-img-overlay">
			<h4 class="card-title">TodoArte</h4>
			<h1 style="font-size: 40px; font-weight: 700;">#{SitioBean.s.getTitulo()}</h1>
		</div>
	</div>

	<p:growl id="capuchinos" showDetail="false" autoUpdate="true" sticky="true" />

	<nav class="#{SitioBean.colorNavbar} fixed-top" style="z-index: 50;" >
	<h:panelGroup rendered="#{BeanDeSeguridad.isSecion()}">
	<div class="row" 
		style="display: flex; -ms-flex-wrap: wrap; flex-wrap: wrap; margin-right: 0px; margin-left: 0px; flex-direction: row; align-items: center;">
		<a class="navbar-brand" href="#"> <img src="#{SitioBean.imgUser}"
			style="border-radius: 30px" width="50" height="50"
			class="d-inline-block align-top" alt="" />

		</a><a class="navbar-brand" href="#">#{SitioBean.nick}</a>
	</div>
	</h:panelGroup>
	
	<span class="navbar-text">
	
	<div class="form-inline">
	<h:panelGroup  rendered="#{not BeanDeSeguridad.isSecion()}">
	
	
			<h:form>
			<p:commandButton value="Registrarse" type="button" onclick="PF('dlg2').show();" /> 
			</h:form>
			
			<h:form>        
				<p:commandButton value="Login" type="button" onclick="PF('dlg4').show();" /> 
			     
			    <p:growl id="growl" sticky="true" showDetail="true" life="3000" />
			     
			    <p:dialog header="Login" widgetVar="dlg4" resizable="false">
			        <h:panelGrid columns="2" cellpadding="5">
			            <h:outputLabel for="username" value="Username:" />
			            <p:inputText id="username" value="#{SitioBean.nick2}" required="true" label="username" />
			             
			            <h:outputLabel for="password" value="Password:" />
			            <p:password id="password" value="#{SitioBean.pass2}" required="true" label="password" />
			             
			            <f:facet name="footer">
			                <p:commandButton value="Login" update="growl" action="#{SitioBean.login2()}"
			                                 oncomplete="handleLoginRequestlog(xhr, status, args)" />
			            </f:facet>  
			        </h:panelGrid>
			    </p:dialog>    
			</h:form>
			
			
	
                            
                       
	</h:panelGroup>
	
	<h:form>
                <p:commandButton rendered="#{not SitioBean.isFan() and BeanDeSeguridad.isSecion() and not BeanDeSeguridad.isSecionArtista()}" value="Ser Fan" type="button" onclick="PF('dlg23').show();" /> 
				
                <p:growl id="growl" sticky="true" showDetail="true" life="3000" />

                <p:dialog header="Convertirse en fan" widgetVar="dlg23" resizable="false">
                    <h:panelGrid columns="2" cellpadding="5">


                        <f:facet name="footer">
                            <p:commandButton value="aceptar" update="growl" action="#{SitioBean.addFan()}"
                                             oncomplete="handleLoginRequest(xhr, status, args)" />
                        </f:facet>
                    </h:panelGrid>
                </p:dialog>
            </h:form>
            
        	<h:form>
                <p:commandButton value="Comprar Fan Premium" type="button" rendered="#{SitioBean.isFan() and not SitioBean.isVip() and BeanDeSeguridad.isSecion()}" onclick="PF('dlgCFP').show();" /> 
				<p:commandButton value="Extender Fan Premium" type="button" rendered="#{SitioBean.isFan() and SitioBean.isVip() and BeanDeSeguridad.isSecion()}" onclick="PF('dlgCFP').show();" />
                <p:growl id="growl" sticky="true" showDetail="true" life="3000" /> 

                <p:dialog header="Convertirse en fan Premium" widgetVar="dlgCFP" resizable="false">
                    <h:panelGrid columns="2" cellpadding="5">
                    	<h:panelGroup  rendered="#{SitioBean.isVip()}">
                    	<h:outputLabel value="Eres Premium hasta: #{SitioBean.fechaCaducidad}" />	
                    	<h:outputLabel value="Renovar  el fan Premium tiene un costo de $200 (+30 dias)" />	
                    	</h:panelGroup>
                    	<h:panelGroup  rendered="#{not SitioBean.isVip()}">
						<h:outputLabel value="Convertirse en fan Premium tiene un costo de $200 (30 dias) " />
						</h:panelGroup>	
                        <f:facet name="footer">
                            <p:commandButton value="Comprar" update="growl" action="#{SitioBean.comprarVip()}"
                                             oncomplete="handleLoginRequest(xhr, status, args)" />
                        </f:facet> 
                    </h:panelGrid>
                </p:dialog>
            </h:form> 
            
            
              <h:form>
                <p:commandButton value="Realizar pago" type="button" rendered="#{SitioBean.isSecionArtistaDueño() and not SitioBean.isMen() and BeanDeSeguridad.isSecion()}" onclick="PF('men').show();" /> 
				<p:commandButton value="Extender pago" type="button" rendered="#{SitioBean.isSecionArtistaDueño() and SitioBean.isMen() and BeanDeSeguridad.isSecion()}" onclick="PF('men').show();" />
                <p:growl id="growl" sticky="true" showDetail="true" life="3000" /> 

                <p:dialog header="Mensualidad" widgetVar="men" resizable="false">
                    <h:panelGrid columns="2" cellpadding="5">
                    	<h:panelGroup  rendered="#{SitioBean.isMen()}">
                    	<h:outputLabel value="Pago cubierto hasta: #{SitioBean.fechaCaducidad2}" />	
                    	<h:outputLabel value="Renovar el pago mensual tiene un costo de $500 (+30 dias)" />	
                    	</h:panelGroup>
                    	<h:panelGroup  rendered="#{not SitioBean.isMen()}">
						<h:outputLabel value="El pago mensual tiene un costo de $500 (30 dias) " />
						</h:panelGroup>	
                        <f:facet name="footer">
                            <p:commandButton value="Comprar" update="growl" action="#{SitioBean.pagarMen()}"
                                             oncomplete="handleLoginRequest(xhr, status, args)" />
                        </f:facet> 
                    </h:panelGrid>
                </p:dialog>
            </h:form>     
	

		<h:form rendered="#{BeanDeSeguridad.isSecion()}">
			<h:form>        
				<p:commandButton value="notification" action="#{SitioBean.resNotis(BeanInicio.nickSecion())}" oncomplete="PF('dlg7').show();" style="text-decoration: none;"/>
				  <h:panelGrid rendered="#{BeanInicio.notificacionesNuevas(BeanInicio.nickSecion())} gt 0"> <span class="badge" >#{BeanInicio.notificacionesNuevas(BeanInicio.nickSecion())}</span> </h:panelGrid>
			     
			    <p:growl id="growl" sticky="true" showDetail="true" life="3000" />
			     
			    <p:dialog widgetVar="dlg7" resizable="false">
			    
			       <h:panelGrid>	
				   <h:form>
			   		
			   		<h:dataTable id="tabla"  value="#{BeanInicio.notis()}" var="String"
			        styleClass="order-table" headerClass="order-table-header"
			        rowClasses="order-table-odd-row,order-table-even-row">
			
			        <h:column>
			            <f:facet name="header">Notificaciones: </f:facet>
			            #{String.toString()}
			        </h:column>
			
			    	</h:dataTable>
			   		
			      
			    	</h:form>
				    </h:panelGrid>
			  
			    </p:dialog>    
				</h:form>
		
		    <p:growl id="messages" showDetail="true"/>
		 
		    <p:menuButton value="#{BeanInicio.nickSecion()}" >
		    	<p:menuitem value="Subir Contenido" onclick="PF('dlgSC').show();" rendered="#{BeanDeSeguridad.isSecionArtista()}"/>
		    	<p:menuitem value="Crear Paquete" onclick="PF('dlgCP').show();" rendered="#{BeanDeSeguridad.isSecionArtista()}"/>
				<p:menuitem value="Crear QyA" onclick="PF('dlg6').show();" rendered="#{BeanDeSeguridad.isSecionArtista()}"/>
				<p:menuitem value="Ver Fans" onclick="PF('fans').show();" rendered="#{BeanDeSeguridad.isSecionArtista()}"/>
	   			<p:menuitem value="Ver Fans bloqueados" onclick="PF('fansban').show();" rendered="#{BeanDeSeguridad.isSecionArtista()}"/>
		        <p:separator />
		        <p:menuitem value="Cerrar Sesion"  action="#{LoginBean.logout()}"/>
		    </p:menuButton>
		</h:form>
		
		
			
			<p:dialog header="SubirContenido" widgetVar="dlgSC" resizable="false"
                    showEffect="explode" hideEffect="bounce">

                <h:form id="form" enctype="multipart/form-data">
                <p:growl id="growl" sticky="true" showDetail="true" life="3000" />
                    <h:panelGrid columns="2" cellpadding="5">
                        <h:outputLabel for="titulo" value="Titulo:" />
                        <h:inputText id="titulo" value="#{ContenidoBean.titulo}"
                            required="true" label="Titulo" />

                        

                        <h:outputLabel for="@next" value="Paquete:" />
                        <h:selectOneMenu id="Paquete" value="#{ContenidoBean.paquete}" style="width:100px">
                            <f:selectItems value="#{SitioBean.paquetes}" var="c" itemLabel="#{c.nombre}" itemValue="#{c.idPaquete}" />
                            
                        </h:selectOneMenu>
                        
                        <h:panelGroup id="pre" >
                        <h:outputLabel for="precio" value="Precio:" />
                        <h:inputText id="precio" value="#{ContenidoBean.precio}"
                            required="true" label="Precio" />
                         </h:panelGroup>	   
 						<h:inputFile value="#{ContenidoBean.archivo}" />
 						
                        <f:facet name="footer">
                        <p:commandButton value="Subir" type="submit" update="conten" ajax="false" action="#{ContenidoBean.subirContenido(SitioBean.a.getNick())}"
                                oncomplete="handleLoginRequest6(xhr, status, args)"/>
                        </f:facet>
                    </h:panelGrid>
                </h:form>
            </p:dialog>
            
            <p:dialog header="Crear Paquete" widgetVar="dlgCP" resizable="false"
                    showEffect="explode" hideEffect="bounce">

                <h:form >
                <p:growl id="growl" sticky="true" showDetail="true" life="3000" />
                    <h:panelGrid columns="2" cellpadding="5">
                        <h:outputLabel for="nombrePaq" value="nombre:" />
                        <h:inputText id="nombrePaq" value="#{SitioBean.nombrePaq}"
                            required="true" label="nombrePaq" />
						
						<h:panelGrid columns="1" style="margin-bottom:10px" cellpadding="5">
				        <p:selectBooleanCheckbox value="#{SitioBean.priv}" itemLabel="Privado"/>
				    	</h:panelGrid>
				    	
				    	<h:panelGrid columns="1" style="margin-bottom:10px" cellpadding="5">
				        <p:selectBooleanCheckbox value="#{SitioBean.prem}" itemLabel="Premium"/>
				    	</h:panelGrid>
                        
                        <f:facet name="footer">
                        <p:commandButton value="Aceptar" type="submit" update="growl" action="#{SitioBean.CrearPaquete()}"
                                oncomplete="handleLoginRequest6(xhr, status, args)" />
                        </f:facet>
                    </h:panelGrid>
                </h:form>
            </p:dialog>
			
			<h:form>        
				<p:commandButton value="Config" type="button" onclick="PF('dlgConfig').show();" rendered="#{SitioBean.isSecionArtistaDueño()}" /> 
			     
			    <p:growl id="growl" sticky="true" showDetail="true" life="3000" />
			     
			    <p:dialog header="Config" widgetVar="dlgConfig" resizable="false" showEffect="explode" hideEffect="bounce">
					<h:panelGrid>
			        
							<h:panelGrid columns="2" cellpadding="3">
			        		<h:outputLabel for="titulo" value="titulo:" />
			            	<p:inputText id="titulo" value="#{SitioBean.titulo}" required="true" label="titulo" />	
							</h:panelGrid>
							
							<h:panelGrid columns="2" cellpadding="3">
			        		<h:outputLabel for="des" value="Descripcion: " />
			            	<p:inputText id="des" value="#{SitioBean.des}" required="true" label="des" />	
							</h:panelGrid>

							<h:panelGrid columns="2" cellpadding="3">
			                  <h:outputText value="Color de fondo: " />
						      <p:colorPicker value="#{SitioBean.colorBody}" />
							</h:panelGrid>
							<h:panelGrid columns="2" cellpadding="3">
							<h:outputText value="Categoria: "  rendered="#{SitioBean.isConfigTipo()}"/>
						        <p:selectOneButton value="#{SitioBean.catP}" rendered="#{SitioBean.isConfigTipo()}">
						            <f:selectItem itemLabel="Imagenes" itemValue="Imagenes" />
						            <f:selectItem itemLabel="Musica" itemValue="Musica" />
						            <f:selectItem itemLabel="Videos" itemValue="Videos" />
						            <p:ajax listener="#{SitioBean.catPsel}" update="custom" />
						        </p:selectOneButton>
						       </h:panelGrid> 
						       <h:panelGrid columns="2" cellpadding="3">
						        <h:outputText value="Subcategoria: " rendered="#{SitioBean.isConfigTipo()}" />
							     <h:selectOneMenu class="browser-default custom-select"
									value="#{SitioBean.cat}" style="width: 100px;" rendered="#{SitioBean.isConfigTipo()}">
									<f:selectItems value="#{SitioBean.liscat()}" />
								</h:selectOneMenu>
								</h:panelGrid> 
								
								<p:galleria id="custom" value="#{SitioBean.img}" var="img" panelWidth="300" panelHeight="100" showCaption="false" slideshowAuto="false" >
										<p:graphicImage value="../img2/#{img}" style="height: 100%; width: 100%; border-radius: 10px;" />
								</p:galleria>
								
		
								<h:panelGrid columns="2" cellpadding="3">
								<p:outputLabel value="El contenido se muestra asi:" />	
 								<p:selectOneRadio id="op" value="#{SitioBean.op}"  unselectable="true" style="text-align: right;">
 										<f:selectItem itemLabel="opcion 1" itemValue="op1" />
								       <f:selectItem itemLabel="opcion 2" itemValue="op2" />
								 </p:selectOneRadio>   
							
								        
								     
								</h:panelGrid> 


									<h:panelGrid columns="2" cellpadding="3">
								        <p:outputLabel for="op2" value="El Titulo se muestra asi:" />
								        <p:selectOneRadio id="op2" value="#{SitioBean.opT}"  unselectable="true">
								            <f:selectItem itemLabel="Times New Roman" itemValue="Times New Roman" />
								            <f:selectItem itemLabel="Latin Modern Roman" itemValue="Latin Modern Roman 10" />
								            <f:selectItem itemLabel="Segoe UI" itemValue="Segoe UI" />
								            <f:selectItem itemLabel="cursive" itemValue="cursive" />
								        </p:selectOneRadio>
									</h:panelGrid> 

			            <f:facet name="footer">
			                <p:commandButton value="Config" update="growl" action="#{SitioBean.Config()}"
			                                 oncomplete="handleLoginRequest2(xhr, status, args)" />
			            </f:facet>  

			</h:panelGrid> 
			        
			    </p:dialog>    
			</h:form> 

		
			
			
		</div >		
			
			
		
		</span> 
</nav>

<p:growl rendered="#{BeanDeSeguridad.isSecion()}">
	<div
        style="display: flex; flex-direction: row; justify-content: flex-end; margin-top: 10px;">

        <div
            style="border: 1px solid; width: 20px; text-align: center; background: chartreuse;">
            <span class="ui-inputgroup-addon">$</span>
        </div>
        <div
            style="border: 1px solid; width: 100px; text-align: end; background: white; color: black; font-weight: 500; padding-right: 10px">
            <h:outputText value="#{SitioBean.saldo}" />
        </div>
        <div
            style="border: 1px solid; width: 30px; text-align: center; background: chartreuse;">
            <span class="ui-inputgroup-addon">.00</span>
        </div>
        <h:form>
            <p:commandButton type="button" value="Cargar" id="disabled"
                onclick="PF('dlgCsa').show();" style="margin-right:20px;" />
        </h:form>

    </div>
</p:growl>
	<h:form>

<p:growl id="growl" sticky="true" showDetail="true" life="3000" />

		<p:dialog header="Cargar Saldo" widgetVar="dlgCsa" resizable="false"
			height="400" width="400">

			<p:wizard widgetVar="wiz2" id="wizard">
				<p:tab id="personal2" title="Elegir Tarjeta" step="0">

					<p:panelGrid columns="2" cellpadding="5"
						style="display: flex;align-items: center;height: 300px;">
						<p:outputLabel for="@next" value="Metodo de Pago:" />
						<h:selectOneMenu class="browser-default custom-select"
							value="#{SitioBean.tarjFav}" style="width: 100px;">
							<f:selectItems value="#{SitioBean.tarjItem}" />
						</h:selectOneMenu>

						<h:outputLabel for="numero" value="N° de Tarjeta:" />
						<p:inputMask id="numero" value="#{SitioBean.numeroTarj}"
							mask="9999-9999-9999-9999" required="true" />

						<h:outputLabel for="fecha" value="Fecha de expiracion:" />
						<p:inputMask id="fecha" value="#{SitioBean.fechaTarj}"
							mask="99-9999" required="true" style="width:60px;" />

						<h:outputLabel for="codigo" value="Codigo de seguridad:" />
						<p:inputMask id="codigo" value="#{SitioBean.codigoTarj}"
							mask="999" required="true" style="width: 40px;" placeholder="CVV" />

						<p:outputLabel for="tel"
							value="Telefono del Titular de la Tarjeta:" />
						<p:inputMask id="tel" value="#{SitioBean.telTarj}"
							mask="(999) 999-9999" required="true" />


					</p:panelGrid>

				</p:tab>
				<p:tab id="Monto2" title="Seleccionar Monto" step="1">

					<p:panelGrid columns="2" cellpadding="5"
						style="display: flex;align-items: center;height: 100px;">

						<p:outputLabel for="monto" value="Monto" />
						<p:inputNumber id="monto" value="#{SitioBean.monto}"
							required="true" minValue="0" />

					</p:panelGrid>
					<p:panelGrid columns="1" cellpadding="5"
						style="display: flex;align-items: flex-end;height: 200px;justify-content: flex-end;">
						<f:facet name="footer">
							<p:commandButton value="Confirmar" type="submit" action="#{SitioBean.cargarSaldo()}" />
						</f:facet>
					</p:panelGrid>

				</p:tab>
			</p:wizard>

		</p:dialog>
	</h:form>
	


	<div class="row" style="margin-right: 0px; margin-left: 0px;">
		<div class="card" style="width: 100%; margin: 20px; padding: 10px;">

			<p>#{SitioBean.des}</p>
			
		</div>
	</div>
	
	<div>
		<h1 class="card-title" style="font-size: 24px; font-weight: 700;padding-left: 20px;color:white;">Contenido</h1>
	</div>
	<h:panelGroup id="conten">

	<p:tabView style="margin: 20px;">
		<p:tab title="Inicio">
			

                    <ui:include id="cont" src="#{SitioBean.op}.xhtml" >
                    	<ui:param name="tipo" value="inicio" />
                    </ui:include>
                    
                    


		</p:tab>
		<p:tab title="Zona de Fans">
		
			 <ui:include id="cont" src="#{SitioBean.op}.xhtml" >
              	<ui:param name="tipo" value="fans" />
             </ui:include>
                    
		</p:tab>
		<p:tab title="Zona Vip">
			

				<ui:include id="cont" src="#{SitioBean.op}.xhtml" >
              	<ui:param name="tipo" value="vip" />
             	</ui:include>
             
			
		</p:tab>
	</p:tabView>
	

			
</h:panelGroup>

	
						<h:form>   
						    <p:growl id="growl" sticky="true" showDetail="true" life="3000" />
						     
						    <p:dialog header="QyA" widgetVar="dlg6" resizable="false" height="500">
						        <h:panelGrid columns="2" cellpadding="5">

											<p:outputLabel for="time" value="Fecha del QyA" />
        									<p:datePicker id="time" value="#{BeanInicio.fecha}" showTime="true" locale="es" monthNavigator="true" pattern="yyyy-MMM-dd"/>

						            <f:facet name="footer">
						                <p:commandButton value="Crear" update="growl" action="#{BeanInicio.programarQyA()}"
						                                 oncomplete="handleLoginRequest(xhr, status, args)" />
						            </f:facet>  
						        </h:panelGrid>
						    </p:dialog>    
						</h:form>
						
	<h:form>
	<p:commandButton rendered="#{SitioBean.isFan() and BeanDeSeguridad.isSecion()}" value="Chat" type="button" onclick="PF('dlgchat').show();" /> 
	</h:form>						
	<h:form>
	<p:commandButton rendered="#{BeanDeSeguridad.isSecionArtista()}" value="Chat" type="button" onclick="PF('dlgchat').show();" /> 
	</h:form>								
		<h:form>
		<p:commandButton value="IniciarChat" action="#{SitioBean.IniciarChat()}" rendered="#{BeanDeSeguridad.isSecionArtista() and not SitioBean.isChatOn()}"/>
		</h:form>
		<h:form>
		<p:commandButton value="Finalizar Chat" action="#{SitioBean.FinChat()}" rendered="#{BeanDeSeguridad.isSecionArtista() and SitioBean.isChatOn()}"/>
		</h:form>
					
<p:dialog header="chat" widgetVar="dlgchat" resizable="false" height="500">
	
		<h:form id="chat" class="form1" style="background: dodgerblue;">
					
					
					
					<div style="height: 400px; border: 1px solid; overflow-y: scroll; background: whitesmoke;">
					
					<p:dataList id="chat2" value="#{SitioBean.cargarMs()}" var="ms" >
				        #{ms.nick}: 
				        #{ms.texto}
				    </p:dataList>
					
					
					</div>
					
				<div style="display: flex; align-items: center;">
					<h:inputText value="#{SitioBean.tex}" required="true" label="Mensaje" />
					<p:commandButton value="Enviar" update="chat" action="#{SitioBean.addMs()}"  oncomplete="if (false)"/>
				</div>
		    
				
		</h:form>
</p:dialog>	

<f:websocket channel="updateMS" scope="application">
	<f:ajax event="updateMS" render=":chat2" />
</f:websocket>		


<h:form id="formEditar">
<p:dialog header="Editar Contenido" widgetVar="dlgEC" resizable="false"
                showEffect="explode" hideEffect="bounce">

               
                    <h:panelGrid columns="2" cellpadding="5">

                        <h:outputLabel for="titulo" value="Titulo:" />
                        <h:inputText id="titulo"  value="#{ContenidoBean.con.titulo}"
                            label="Titulo" >
                        <p:autoUpdate />
                        </h:inputText>

                        <h:outputLabel for="precio" value="Precio:" />
                        <h:inputText  id="precio" value="#{ContenidoBean.con.precio}"
                             label="Precio" >
                        <p:autoUpdate />
                        </h:inputText>


                        <f:facet name="footer">
                            <p:commandButton value="Editar" action="#{ContenidoBean.editarContenido()}" oncomplete="handleLoginRequestEC()"/>
                        </f:facet>

                    </h:panelGrid>
                
            </p:dialog>	
</h:form>
			<h:form>
				<p:sidebar  widgetVar="sidebar2" position="right" baseZIndex="10000">
				
					<h1 style="font-weight: normal">Comentarios</h1>
					
					<p:scrollPanel id="scrol" style="width:100%;height:60%; pading:0 ">
					<p:autoUpdate />
					<h:dataTable id="ava" var="comen" value="#{ContenidoBean.lComentarios}" 
						style="width: 100%;">
						
						<p:growl id="growlCom" sticky="true" showDetail="true" life="3000" />
						<h:column>
						
				
								<div class="card"
									style="padding: 0px; margin: 0px; width: 100%; margin-left: 20px;">
									<div class="card-header" style="height: 40px">
									<div class="row">
										<p>Usuario: #{comen.nick}</p>
									</div>

									</div>
									<div class="card-body">
										<blockquote class="blockquote mb-0">
											<p>#{comen.texto}</p>
										</blockquote>
									</div>
								</div>

					
						</h:column>

					</h:dataTable>
					</p:scrollPanel>


					<h:panelGrid columns="2" cellpadding="5">
			
							<p:rating id="rat"  value="#{ContenidoBean.punt}" >
								<p:autoUpdate />
        				 <p:ajax event="rate" update="rat" listener="#{ContenidoBean.puntuar()}"/>
								<p:autoUpdate />	
							</p:rating>
					
					</h:panelGrid>
					
						<h:panelGrid columns="2" cellpadding="5">
							<h:outputLabel for="comentario" value="Comentario:" />
							<h:inputText id="comentario"
								value="#{ContenidoBean.textoComentario}" required="true"
								label="comentario" />
							<f:facet name="footer">
						<p:commandButton value="Comentar" update="ava" action="#{ContenidoBean.comentar()}"  />		
			    			</f:facet>
						</h:panelGrid>
					
				</p:sidebar>
			</h:form>
			
			<h:form id="formEliminar">
		            <p:dialog header="Eliminar Contenido" widgetVar="dlgELC" resizable="false"
		                showEffect="explode" hideEffect="bounce">
		
		                
		                    <h:panelGrid columns="2" cellpadding="5">
		
		                        <p>
		                        Esta seguro de que desea eliminar este contenido
		                        </p>
		                        <f:facet name="footer">
		                            <p:commandButton value="Si"  action="#{ContenidoBean.eliminarContenido()}" oncomplete="handleLoginRequestELC()"/>
		                        </f:facet>
		
		                    </h:panelGrid>
		                
		            </p:dialog>
			</h:form>

			<h:form>

							<p:dialog header="Reportar Contenido" widgetVar="reportar" resizable="false"
								height="300" width="400">
										    <div class="ui-fluid">
										        <div class="p-field p-grid">
										            <p:outputLabel  styleClass="p-col-12 p-md-2" value="Informar Sobre este Contenido" />
													
										        </div>
										        <div class="p-field p-grid">
													<p:outputLabel  styleClass="p-col-12 p-md-2" value="Cual seria el problema?" />
										        </div>
										        <div class="p-field p-grid">			  				          

													 <h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">

													   <p:selectOneRadio id="rep" value="#{SitioBean.reportFav}" layout="grid" columns="1">
														        <f:selectItems value="#{SitioBean.reportes}" var="r" itemLabel="#{report}" itemValue="#{report}"/>
														</p:selectOneRadio>	
    												</h:panelGrid>   
										        </div>
										    </div>														
											<f:facet name="footer">
											<p:commandButton value="Reportar" 							
													action="#{SitioBean.reportarContenido()}"  update="@form,capuchinos"
								/>
											</f:facet>															
							</p:dialog>
						</h:form>


							<p:sidebar widgetVar="fans" baseZIndex="10000">
							<h:form id="formen">
							<div style="margin-top: 30px;text-align: center;font-size: 20px;font-weight: 700;">
								<h:outputText value="Fans de Tu Sitio" />	
							</div>
								
								<p:dataTable id="avangelion" var="String" value="#{SitioBean.listarfanes()}" emptyMessage="No hay fans aun" >
								          
									<p:column style="display: flex;align-items: center;justify-content: space-around;">
										<h:outputText value="#{String.nick}" />
												
									</p:column>
										<p:column style="display: flex;align-items: center;justify-content: space-around;">
					
										<p:commandButton class="btn btn-dark" value="Ver Info" action="#{SitioBean.consultaFan()}"
									  			oncomplete="PF('verfan').show()" style="text-align: center;"   >
									  			<f:param name="nick" value="#{String.nick}"/>
									  	</p:commandButton>
						
									
										<p:commandButton class="btn btn-dark"
											action="#{SitioBean.banFan()}" update="avangelion,capuchinos" value="Bloquear"  >
											<f:param name="nick2" value="#{String.nick}"/>
										</p:commandButton>																		
									</p:column>
								
									<p:autoUpdate />		
								</p:dataTable>	
								</h:form>												
							</p:sidebar>
						

							<p:sidebar widgetVar="fansban" baseZIndex="10000">
							<h:form  id="formwoman">
						
           				
							<div style="margin-top: 30px;text-align: center;font-size: 20px;font-weight: 700;">
								<h:outputText value="Fans Baneados de tu Sitio" />	
							</div>
														
								<p:dataTable id="supreme"  var="String" value="#{SitioBean.listarnegra()}" emptyMessage="No hay fans ban aun">
					
									<p:column style="display: flex;align-items: center;justify-content: space-around;">
										<h:outputText value="#{String}" />
							
										</p:column>
									<p:column style="display: flex;align-items: center;justify-content: space-around;">	
											<p:commandButton class="btn btn-dark" value="Ver Info" action="#{SitioBean.consultaFan()}"
									  			oncomplete="PF('verfan').show()" style="text-align: center;"   >
									  			<f:param name="nick" value="#{String}"/>
									  	</p:commandButton>	
												
										<p:commandButton class="btn btn-dark"
											action="#{SitioBean.unbanFan()}" update="supreme,capuchinos" value="Desbloquear"  >
											<f:param name="nick3" value="#{String}" />
											</p:commandButton>	
												
									</p:column>	
									<p:autoUpdate />				
									</p:dataTable>	
								
										</h:form>											
							</p:sidebar>
							
							
			<p:sidebar widgetVar="verfan" position="top" baseZIndex="10000" style="height:350px;width: 500px;">
		
     		
				<h:form>
                  
                    
           	<p:panel>
           	<p:autoUpdate />	
           	                    <div style="margin-top: 20px;display: flex;">
                      <div class="col-md-4 col-xs-12 col-sm-6 col-lg-4" style="display: flex;flex-direction: column;align-items: center;">
	                      <div >
	                      	<img alt="User Pic" src="../img2/user-img-default.png"   style="height: 100px; width: 100px;border-radius: 100px;"/>   
	                      </div>
                           <div style="margin-top: 20px;" >	                              
			                   <p:dataList value="#{SitioBean.us.gustos}" var="car" >
							        <f:facet name="header">
							            Gustos
							        </f:facet>
							        #{car}
							    </p:dataList>             			                     
                           </div>                          
                      </div>
                      <div class="col-md-8 col-xs-12 col-sm-6 col-lg-8" >
                         
                            <h2 style="font-size: 20px">#{SitioBean.us.nick}</h2>
                                                                                                  
                           <hr />                      
                         <p>#{SitioBean.us.correo}</p>                     
                       
                         <hr />                      
                         <p>Ubicacion : #{SitioBean.us.pais }</p>                     
                          <hr />                  
                         <p>Sexo : #{SitioBean.us.sexo}</p>                     
                          <hr />
                                   
                          </div>
                         
                     
                </div>
           	
           	
           	</p:panel>     

            
			     </h:form>
			</p:sidebar>
	
	
 <h:form>        
    
    <p:growl id="growl" sticky="true" showDetail="true" life="3000" />
     
    <p:dialog header="Registro" widgetVar="dlg2" resizable="false" showEffect="explode" hideEffect="bounce">
        <h:panelGrid columns="2" cellpadding="5">
            	<div class="form-group">
				<label for="exampleInputEmail1">Nickname</label>
				<h:inputText value="#{RegistroFanBean.nick}" id="Nickname" label="Nickname"
					class="form-control" placeholder="Nickname" required="true"/>
			</div>
			<div class="form-group">
				<label for="exampleFormControlInput1">Correo</label>
				<h:inputText type="email" class="form-control" id="email" label="email" 
					value="#{RegistroFanBean.correo}"
					placeholder="name@example.com" required="true"/>
			</div>
			<div class="form-group">
				<label for="exampleInputPassword1">Password</label>
				<h:inputSecret value="#{RegistroFanBean.pass}" id="Pass" label="Pass"
					class="form-control" placeholder="Password" required="true"/>
			</div>
			<div class="form-group">
				<label for="exampleFormControlInput1">Sexo</label>
				<h:selectOneMenu class="browser-default custom-select"
					value="#{RegistroFanBean.sexoEleg}"> 
					<f:selectItems value="#{RegistroFanBean.listaS}" required="true" />
				</h:selectOneMenu>

			</div>
			
				<div class="form-group">
				<label for="exampleFormControlInput1">Pais</label>
				<h:selectOneMenu class="browser-default custom-select"
					value="#{RegistroFanBean.pais}"> 
					<f:selectItems value="#{RegistroFanBean.listaP}" required="true" />
				</h:selectOneMenu>

			</div>
			
			<p:selectManyMenu id="advanced" value="#{RegistroFanBean.catsel}" 
                          var="t" filter="true" filterMatchMode="contains" showCheckbox="true">
            <f:selectItems value="#{RegistroFanBean.catItem}" var="theme" itemLabel="#{theme}" itemValue="#{theme}" />

            <p:column>
                <h:outputText value="#{t}" />
            </p:column>
        	</p:selectManyMenu>
             
            <f:facet name="footer">
                <p:commandButton value="Registrarse" update="growl" action="#{RegistroFanBean.registroFan2()}"
                                 oncomplete="handleLoginRequest(xhr, status, args)" >
                 <f:param name="nickAr" value="#{SitioBean.a.nick}"/>
                </p:commandButton>
            </f:facet>  
        </h:panelGrid>
    </p:dialog>    
</h:form> 

</h:body>
</html>
